package com.winhc.common.enums;

public class CompanyEnum {

    public enum Lable {
        COMPANY("企业"), PERSON("个人"), 新增("新增"),
        法人("法人"), 高管("高管"), 投资("投资");

        public final String code;

        Lable(String code) {
            this.code = code;
        }
    }


    public enum TopicType {
        COMPANY_NODE("1", "companyNodeServiceImpl"),
        HOLDER_RELATION_V1("2", "holderRelationV1ServiceImpl"),
        HOLDER_RELATION_V2("3", "holderRelationV2ServiceImpl"),
        LEGAL_ENTITY_RELATION_V1("4", "legalEntityRelationV1ServiceImpl"),
        LEGAL_ENTITY_RELATION_V2("5", "legalEntityRelationV2ServiceImpl"),
        STAFF_RELATION("6", "staffRelationServiceImpl"),
        PERSON_NODE_LABEL("7", "personNodeLabelServiceImpl"),
        NODE_RELATION_SUCCESS_STATUS("100", "nodeRelationSuccessStatusServiceImpl");

        public final String CODE;
        public final String VALUE;

        TopicType(String code, String value) {
            this.CODE = code;
            this.VALUE = value;
        }
    }

}

